io.vertx.ext.auth.webauthn

## Class Authenticator

- java.lang.Object
- - io.vertx.ext.auth.webauthn.Authenticator

-     public class Authenticator
      extends Object

  Data Object representing an authenticator at rest.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authenticator()`
    `Authenticator(JsonObject json)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCounter()`
    `String` | `getCredID()`
    `String` | `getPublicKey()`
    `String` | `getType()`
    `String` | `getUserName()`
    `Authenticator` | `setCounter(long counter)`
    `Authenticator` | `setCredID(String credID)`
    `Authenticator` | `setPublicKey(String publicKey)`
    `Authenticator` | `setType(String type)`
    `Authenticator` | `setUserName(String userName)`
    `JsonObject` | `toJson()`
    `String` | `toString()`
    `static UUID` | `toUUID(String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Authenticator

          public Authenticator()

    - #### Authenticator

          public Authenticator(JsonObject json)

  - ### Method Detail

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public Authenticator setUserName(String userName)

    - #### getType

          public String getType()

    - #### setType

          public Authenticator setType(String type)

    - #### getCredID

          public String getCredID()

    - #### setCredID

          public Authenticator setCredID(String credID)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public Authenticator setPublicKey(String publicKey)

    - #### getCounter

          public long getCounter()

    - #### setCounter

          public Authenticator setCounter(long counter)

    - #### toJson

          public JsonObject toJson()

    - #### toUUID

          public static UUID toUUID(String string)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.